#ifndef __WIFI_MANAGER_H
#define __WIFI_MANAGER_H

#define WIFI_MANAGER_MAGIC (0xb00b000c)

void wifi_manager_save_config();
void wifi_manager_load_config();
void wifi_manager_reset_store();

uint8_t wifi_manager_ap_count();
uint8_t wifi_manager_add_ap(char *essid, char *password);

EventGroupHandle_t wifi_manager_start();

#endif
